<%@ page language="C#" masterpagefile="~/member/MasterPage.master" autoeventwireup="true" inherits="member_project_Default, App_Web_default.aspx.778d52f7" title="Projects" %>
<asp:Content ID="body" ContentPlaceHolderID="ContentBody" Runat="Server">
  <br />
  Solution: <asp:DropDownList ID="drpSolution" runat="server" DataSourceID="SolutionDataSource" DataTextField="sln_Name" DataValueField="sln_Id" OnDataBound="drpSolution_DataBound" AutoPostBack="True" OnSelectedIndexChanged="drpSolution_SelectedIndexChanged">
  </asp:DropDownList>
  <br /><br />
  New project name: <asp:TextBox ID="txtNewProject" runat="server"></asp:TextBox><asp:Button ID="btnAddProject" runat="server" Text="Add Project" OnClick="btnAddProject_Click" OnPreRender="btnAddProject_PreRender" />
  <br /><br />
  <asp:GridView ID="grdProjects" runat="server" CellPadding="4" ForeColor="#333333" GridLines="None" AutoGenerateColumns="False" DataKeyNames="prj_Id" DataSourceID="ProjectDataSource" OnRowCommand="grdProjects_RowCommand">
    <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
    <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
    <EditRowStyle BackColor="#999999" />
    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
    <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
    <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
    <Columns>
      <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
      <asp:BoundField DataField="prj_Id" HeaderText="prj_Id" InsertVisible="False" ReadOnly="True"
        SortExpression="prj_Id" Visible="False" />
      <asp:BoundField DataField="prj_Name" HeaderText="Project Name" SortExpression="prj_Name" />
      <asp:BoundField DataField="prj_OwnerId" HeaderText="prj_OwnerId" SortExpression="prj_OwnerId" Visible="False" />
      <asp:TemplateField>
        <ItemTemplate>
          <asp:LinkButton ID="lnkGoToTasks" CommandName="GoToTasks" CommandArgument='<%# Eval("prj_Id") %>' runat="server">Go to Tasks</asp:LinkButton>          
        </ItemTemplate>
      </asp:TemplateField>
    </Columns>
  </asp:GridView>
  <asp:ObjectDataSource ID="SolutionDataSource" runat="server" OnSelecting="SolutionDataSource_Selecting"
    SelectMethod="GetSolutions" TypeName="SolutionManager">
    <SelectParameters>
      <asp:Parameter Name="UserID" Type="Object" />
    </SelectParameters>
  </asp:ObjectDataSource>
  <asp:ObjectDataSource ID="ProjectDataSource" runat="server" OnSelecting="ProjectDataSource_Selecting" SelectMethod="GetProjects" TypeName="ProjectManager" DeleteMethod="DeleteProject" OldValuesParameterFormatString="original_{0}" OnDeleting="ProjectDataSource_Deleting" UpdateMethod="UpdateProject" OnUpdating="ProjectDataSource_Updating">
    <SelectParameters>
      <asp:Parameter Name="UserID" Type="Object" />
      <asp:ControlParameter Name="SolutionId" Type="Int32" ControlID="drpSolution" 
        PropertyName="SelectedValue" DefaultValue="-1" />      
    </SelectParameters>
    <DeleteParameters>
      <asp:Parameter Name="ProjectId" Type="Int32" />
      <asp:Parameter Name="UserId" Type="Object" />
    </DeleteParameters>
    <UpdateParameters>
      <asp:Parameter Name="ProjectId" Type="Int32" />
      <asp:Parameter Name="UserId" Type="Object" />
      <asp:Parameter Name="ProjectName" Type="String" />
    </UpdateParameters>
  </asp:ObjectDataSource>
</asp:Content>

